/* GUS instrument names
 * 
 * By W.H.Scholten 1998
 *
 * This file is public domain
 */


#ifndef _GSI__gsi_instrumentnames_gus_h
#define _GSI__gsi_instrumentnames_gus_h

#include <gsi/config.h>

/* Following are extra (I think) on the GUS PNP:

   blank (seems to be silence)
   c550kc_1
   c550sn10
   c550sn_6
   c550vibs
   ringwhsl

   What are they?
*/


char gus_instrument_names[][9] = {
	/* [ GM melodic instruments ] */
	/*   0 */	"acpiano",
	/*   1 */	"britepno",
	/*   2 */	"synpiano",
	/*   3 */	"honky",
	/*   4 */	"epiano1",
	/*   5 */	"epiano2",
	/*   6 */	"hrpschrd",
	/*   7 */	"clavinet",
	/*   8 */	"celeste",
	/*   9 */	"glocken",
	/*  10 */	"musicbox",
	/*  11 */	"vibes",
	/*  12 */	"marimba",
	/*  13 */	"xylophon",
	/*  14 */	"tubebell",
	/*  15 */	"santur",
	/*  16 */	"homeorg",
	/*  17 */	"percorg",
	/*  18 */	"rockorg",
	/*  19 */	"church",
	/*  20 */	"reedorg",
	/*  21 */	"accordn",
	/*  22 */	"harmonca",
	/*  23 */	"concrtna",
	/*  24 */	"nyguitar",
	/*  25 */	"acguitar",
	/*  26 */	"jazzgtr",
	/*  27 */	"cleangtr",
	/*  28 */	"mutegtr",
	/*  29 */	"odguitar",
	/*  30 */	"distgtr",
	/*  31 */	"gtrharm",
	/*  32 */	"acbass",
	/*  33 */	"fngrbass",
	/*  34 */	"pickbass",
	/*  35 */	"fretless",
	/*  36 */	"slapbas1",
	/*  37 */	"slapbas2",
	/*  38 */	"synbass1",
	/*  39 */	"synbass2",
	/*  40 */	"violin",
	/*  41 */	"viola",
	/*  42 */	"cello",
	/*  43 */	"contraba",
#ifdef GUS_HAVE_ALL_INSTRUMENTS
	/*  44 */	"tremstr", /* Tremolo Str */
#else
	/*  44 -> 48 */	"marcato", /* is this the best replacement? */
#endif
	/*  45 */	"pizzcato",
	/*  46 */	"harp",
	/*  47 */	"timpani",
	/*  48 */	"marcato",
	/*  49 */	"slowstr",
	/*  50 */	"synstr1",
	/*  51 */	"synstr2",
	/*  52 */	"choir",
	/*  53 */	"doo",
	/*  54 */	"voices",
	/*  55 */	"orchhit",
	/*  56 */	"trumpet",
	/*  57 */	"trombone",
	/*  58 */	"tuba",
	/*  59 */	"mutetrum",
	/*  60 */	"frenchrn",
	/*  61 */	"hitbrass",
	/*  62 */	"synbras1",
	/*  63 */	"synbras2",
	/*  64 */	"sprnosax",
	/*  65 */	"altosax",
	/*  66 */	"tenorsax",
	/*  67 */	"barisax",
	/*  68 */	"oboe",
	/*  69 */	"englhorn",
	/*  70 */	"bassoon",
	/*  71 */	"clarinet",
	/*  72 */	"piccolo",
	/*  73 */	"flute",
	/*  74 */	"recorder",
	/*  75 */	"woodflut",
	/*  76 */	"bottle",
	/*  77 */	"shakazul",
	/*  78 */	"whistle",
	/*  79 */	"ocarina",
	/*  80 */	"sqrwave",
	/*  81 */	"sawwave",
	/*  82 */	"calliope",
	/*  83 */	"chiflead",
	/*  84 */	"charang",
	/*  85 */	"voxlead",
	/*  86 */	"lead5th",
	/*  87 */	"basslead",
	/*  88 */	"fantasia",
	/*  89 */	"warmpad",
	/*  90 */	"polysyn",
	/*  91 */	"ghostie",
	/*  92 */	"bowglass",
	/*  93 */	"metalpad",
	/*  94 */	"halopad",
	/*  95 */	"sweeper",
	/*  96 */	"aurora",
	/*  97 */	"soundtrk",
	/*  98 */	"crystal",
	/*  99 */	"atmosphr",
	/* 100 */	"freshair",
	/* 101 */	"unicorn",
#ifdef GUS_HAVE_ALL_INSTRUMENTS
	/* 102 */	"echovox", /* FX 7 (echoes) => echovox */
#else
	/* 102 -> 95 */	"sweeper", /* is this the best replacement? */
#endif
	/* 103 */	"startrak",
	/* 104 */	"sitar",
	/* 105 */	"banjo",
	/* 106 */	"shamisen",
	/* 107 */	"koto",
	/* 108 */	"kalimba",
	/* 109 */	"bagpipes",
	/* 110 */	"fiddle",
	/* 111 */	"shannai",
	/* 112 */	"carillon",
	/* 113 */	"agogo",
	/* 114 */	"steeldrm",
	/* 115 */	"woodblk",
	/* 116 */	"taiko",
	/* 117 */	"toms",
	/* 118 */	"syntom",
	/* 119 */	"revcym",
	/* 120 */	"fx-fret",
	/* 121 */	"fx-blow",
	/* 122 */	"seashore",
	/* 123 */	"jungle",
	/* 124 */	"telephon",
	/* 125 */	"helicptr",
	/* 126 */	"applause",
	/* 127 */	"pistol", /*"ringwhsl",??*/

	/* [ GM drums ] */
	/* drum number = voice number -128 (between brackets) */
	/* 128   (0) */ "",
	/* 129   (1) */ "",
	/* 130   (2) */ "",
	/* 131   (3) */ "",
	/* 132   (4) */ "",
	/* 133   (5) */ "",
	/* 134   (6) */ "",
	/* 135   (7) */ "",
	/* 136   (8) */ "",
	/* 137   (9) */ "",
	/* 138  (10) */ "",
	/* 139  (11) */ "",
	/* 140  (12) */ "",
	/* 141  (13) */ "",
	/* 142  (14) */ "",
	/* 143  (15) */ "",
	/* 144  (16) */ "",
	/* 145  (17) */ "",
	/* 146  (18) */ "",
	/* 147  (19) */ "",
	/* 148  (20) */ "",
	/* 149  (21) */ "",
	/* 150  (22) */ "",
	/* 151  (23) */ "",
	/* 152  (24) */ "",
	/* 153  (25) */ "",
	/* 154  (26) */ "",
	/* 155  (27) */	"highq",
	/* 156  (28) */	"slap",
	/* 157  (29) */	"scratch1",
	/* 158  (30) */	"scratch2",
	/* 159  (31) */	"sticks",
	/* 160  (32) */	"sqrclick",
	/* 161  (33) */	"metclick",
	/* 162  (34) */	"metbell",
	/* 163  (35) */	"kick1",
	/* 164  (36) */	"kick2",
	/* 165  (37) */	"stickrim",
	/* 166  (38) */	"snare1",
	/* 167  (39) */	"claps",
	/* 168  (40) */	"snare2",
	/* 169  (41) */	"tomlo2",
	/* 170  (42) */	"hihatcl",
	/* 171  (43) */	"tomlo1",
	/* 172  (44) */	"hihatpd",
	/* 173  (45) */	"tommid2",
	/* 174  (46) */	"hihatop",
	/* 175  (47) */	"tommid1",
	/* 176  (48) */	"tomhi2",
	/* 177  (49) */	"cymcrsh1",
	/* 178  (50) */	"tomhi1",
	/* 179  (51) */	"cymride1",
	/* 180  (52) */	"cymchina",
	/* 181  (53) */	"cymbell",
	/* 182  (54) */	"tamborin",
	/* 183  (55) */	"cymsplsh",
	/* 184  (56) */	"cowbell",
	/* 185  (57) */	"cymcrsh2",
	/* 186  (58) */	"vibslap",
	/* 187  (59) */	"cymride2",
	/* 188  (60) */	"bongohi",
	/* 189  (61) */	"bongolo",
	/* 190  (62) */	"congahi1",
	/* 191  (63) */	"congahi2",
	/* 192  (64) */	"congalo",
	/* 193  (65) */	"timbaleh",
	/* 194  (66) */	"timbalel",
	/* 195  (67) */	"agogohi",
	/* 196  (68) */	"agogolo",
	/* 197  (69) */	"cabasa",
	/* 198  (70) */	"maracas",
	/* 199  (71) */	"whistle1",
	/* 200  (72) */	"whistle2",
	/* 201  (73) */	"guiro1",
	/* 202  (74) */	"guiro2",
	/* 203  (75) */	"clave",
	/* 204  (76) */	"woodblk1",
	/* 205  (77) */	"woodblk2",
	/* 206  (78) */	"cuica1",
	/* 207  (79) */	"cuica2",
	/* 208  (80) */	"triangl1",
	/* 209  (81) */	"triangl2",
	/* 210  (82) */	"shaker",
	/* 211  (83) */	"jingles",
	/* 212  (84) */	"belltree",
	/* 213  (85) */	"castinet",
	/* 214  (86) */	"surdo1",
	/* 215  (87) */	"surdo2",
	/* 216  (88) */	"",
	/* 217  (89) */	"",
	/* 218  (90) */	"",
	/* 219  (91) */	"",
	/* 220  (92) */	"",
	/* 221  (93) */	"",
	/* 222  (94) */	"",
	/* 223  (95) */	"",
	/* 224  (96) */	"",
	/* 225  (97) */	"",
	/* 226  (98) */	"",
	/* 227  (99) */	"",
	/* 228 (100) */	"",
	/* 229 (101) */	"",
	/* 230 (102) */	"",
	/* 231 (103) */	"",
	/* 232 (104) */	"",
	/* 233 (105) */	"",
	/* 234 (106) */	"",
	/* 235 (107) */	"",
	/* 236 (108) */	"",
	/* 237 (109) */	"",
	/* 238 (110) */	"",
	/* 239 (111) */	"",
	/* 240 (112) */	"",
	/* 241 (113) */	"",
	/* 242 (114) */	"",
	/* 243 (115) */	"",
	/* 244 (116) */	"",
	/* 245 (117) */	"",
	/* 246 (118) */	"",
	/* 247 (119) */	"",
	/* 248 (120) */	"",
	/* 249 (121) */	"",
	/* 250 (122) */	"",
	/* 251 (123) */	"",
	/* 252 (124) */	"",
	/* 253 (125) */	"",
	/* 254 (126) */	"",
	/* 255 (127) */	""
};


#endif /* _GSI__gsi_instrumentnames_gus_h */
